CREATE DATABASE IF NOT EXISTS db_hpv;
USE db_hpv;

CREATE TABLE pasien (
    id INT AUTO_INCREMENT PRIMARY KEY,
    nik VARCHAR(20),
    nama VARCHAR(100),
    jenis_kelamin ENUM('Laki-laki', 'Perempuan'),
    tanggal_lahir DATE,
    alamat TEXT,
    nomor_lab VARCHAR(50),
    tanggal_pengambilan DATE,
    asal_faskes VARCHAR(100),
    tanggal_diterima DATE,
    tanggal_pemeriksaan DATE,
    hasil_lab VARCHAR(255)
);

CREATE TABLE petugas (
    id INT AUTO_INCREMENT PRIMARY KEY,
    username VARCHAR(50) NOT NULL UNIQUE,
    password VARCHAR(255) NOT NULL,
    role ENUM('admin', 'operator') NOT NULL DEFAULT 'operator'
);

INSERT INTO petugas (username, password, role)
VALUES ('admin', SHA1('admin123'), 'admin');